<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="background-image: url(images/bg1.gif);">
		<tr>
			<!-- headers -->
			<td style="background-image: url(images/h.jpg); background-repeat: no-repeat;" valign="top" height="283">
			<!-- /headers -->
				<table border="0" cellspacing="0" cellpadding="0">
				<tr><td colspan="2"><div style="width: 779px; height: 1px;"><spacer type="block" width="779" height="1"/></div></td></tr>
				<tr>
					<td width="76"><div style="width: 76px; height: 183px;"><spacer type="block" width="76" height="183"/></div></td>
					<td width="703">
						<table border="0" cellspacing="0" cellpadding="0">
						<tr valign="middle">
							<td><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
							<td style="font-family: arial; font-size: 10px; color: #ffffff;">
								<i><br/>
								<span style="width:15px; height:1px;"><spacer type="block" width="15" height="1"/></span>
								<span style="font-size: 22px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span>
								<br/>
								<span style="width:55px; height:1px;"><spacer type="block" width="55" height="1"/></span>
								<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
								</i>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				<tr valign="top">
					<td><div style="width: 1px; height: 99px;"><spacer type="block" width="1" height="99"/></div></td>
					<td style="padding-left: 140px; padding-top: 5px;">
						<table border="0" cellspacing="0" cellpadding="0">
						<tr valign="middle">
							<!-- buttons -->
							<xsl:call-template name="TOP-MENU"/>
							<!-- /buttons -->
						</tr>
						</table>
					</td>
				</tr>
				</table>
			</td>
			<td width="100%" valign="top">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td style="background-image: url(images/h2.gif);"><div style="width: 1px; height: 184px;"><spacer type="block" width="1" height="184"/></div></td>
				</tr>
				<tr>
					<td bgcolor="#ffffff"><div style="width: 1px; height: 50px;"><spacer type="block" width="1" height="50"/></div></td>
				</tr>
				</table>
			</td>
		</tr>
		<tr height="100%">
			<td valign="top" >
				<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
				<tr >
					<td valign="top">
						<table border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td colspan="2"><img src="images/i4.jpg" width="239" height="24"/></td>
						</tr>
						<tr>
							<td width="201" class="submenu-bg">
								<table width="191" border="0" cellspacing="0" cellpadding="0">
								<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
								</table>
							</td>
							<td><span style="width: 38px; height: 1px;"><spacer type="block" width="38" height="1"/></span></td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/i5.gif" width="201" height="55"/></td>
						</tr>
						</table>
					</td>
					<td width="100%" class="text" style="padding-top: 10px; padding-bottom: 25px; padding-right: 70px;" valign="top">
						<span style="font-size: 14px;"><b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b></span>
						<br/><br/>
						<xsl:apply-templates select="PAGE-CONTENT"/>
					</td>
				</tr>
				</table>
			</td>
			<td></td>
		</tr>
		<tr>
			<td style="background-image: url(images/i6.gif);">
				<table width="779" border="0" cellspacing="0" cellpadding="0">
				<tr valign="middle">
					<td width="190" class="text" style="color: #4e4e4e; padding-left: 35px;">
						<small>
							<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						</small>
					</td>
					<td width="20"><div style="width: 20px; height: 80px;"><spacer type="block" width="20" height="80"/></div></td>
					<td width="569">
						<table border="0" cellspacing="0" cellpadding="0">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="3" style="background-image: url(images/bg2.gif); background-position: right top;"><div style="width: 1px; height: 20px;"><spacer type="block" width="1" height="20"/></div></td>
				</tr>
				</table>
			</td>
			<td>
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td><div style="width: 1px; height: 15px;"><spacer type="block" width="1" height="15"/></div></td>
				</tr>
				<tr>
					<td bgcolor="#ffffff"><div style="width: 1px; height: 57px;"><spacer type="block" width="1" height="57"/></div></td>
				</tr>
				<tr>
					<td style="background-image: url(images/bg2.gif); background-position: left top;"><div style="width: 1px; height: 27px;"><spacer type="block" width="1" height="27"/></div></td>
				</tr>
				</table>
			</td>
		</tr>
		</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td class="sma" style="padding-left: 50px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td align="right" style="padding: 5px 15px 5px 15px;"><img src="images/smb.gif" width="12" height="13"/></td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td class="sm" style="padding-left: 50px"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 5px 15px 5px 15px;"><img src="images/smb.gif" width="12" height="13"/></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr>
			<td colspan="2" bgcolor="#b6a79c"><span style="width: 1px; height: 1px;"><spacer type="block" width="1" height="1"/></span></td>
		</tr>
	</xsl:if>
</xsl:template>

<xsl:template name="BOTTOM-MENU">
	<xsl:apply-templates select="MENU" mode="bottom"/>
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td class="bma" style="padding-left: 8px; padding-right: 8px;">
					<a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
				</td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td class="bma" style="padding-left: 8px; padding-right: 8px;">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
           </xsl:when>
           <xsl:otherwise>
				<td class="bm" style="padding-left: 8px; padding-right: 8px;">
					<a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
				</td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td><div style="width: 4px; height: 4px; background-color: #8e8e8e;"><spacer type="block" width="4" height="4"/></div></td>
  		</xsl:if>
</xsl:template>

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

</xsl:stylesheet>
